#include "mpg123.h"
#include "libxmms/configfile.h"
#include "libxmms/dirbrowser.h"

static void *mpg123_configurewin = NULL;
static void *vbox, *notebook;
static void *decode_vbox, *decode_hbox1;
static void *decode_res_frame, *decode_res_vbox, *decode_res_16, *decode_res_8;
static void *decode_ch_frame, *decode_ch_vbox, *decode_ch_stereo,
         *decode_ch_mono;
static void *decode_freq_frame, *decode_freq_vbox, *decode_freq_1to1,
         *decode_freq_1to2, *decode_freq_1to4;
static void *option_frame, *option_vbox, *detect_by_content;
#ifdef USE_3DNOW
static void *decoder_frame, *decoder_vbox, *auto_select,
         *decoder_3dnow, *decoder_fpu;
#endif

static void *streaming_size_adj, *streaming_pre_adj;
static void *streaming_proxy_use, *streaming_proxy_host_entry;
static void *streaming_proxy_port_entry, *streaming_save_use, *streaming_save_entry;
static void *streaming_proxy_auth_use;
static void *streaming_proxy_auth_pass_entry, *streaming_proxy_auth_user_entry;
static void *streaming_proxy_auth_user_label, *streaming_proxy_auth_pass_label;
static void *streaming_cast_title, *streaming_udp_title;
static void *streaming_proxy_hbox, *streaming_proxy_auth_hbox, *streaming_save_dirbrowser;
static void *streaming_save_hbox, *title_id3_box, *title_id3_desc_box;
static void *title_id3_use, *title_id3_entry, *title_id3v2_disable;

MPG123Config mpg123_cfg;

#ifdef USE_3DNOW
int support_3dnow(void)
{
	if((mpg123_getcpuflags() & 0x80800000) == 0x80800000)
		return TRUE;
	return FALSE;
}
#endif

static void mpg123_configurewin_ok(void * widget, gpointer data)
{}

#ifdef USE_3DNOW
static void auto_select_cb(void * w, gpointer data)
{
}

static void use_3dnow_cb(void * w, gpointer data)
{}

static void use_fpu_cb(void * w, gpointer data)
{}
#endif

static void proxy_use_cb(void * w, gpointer data)
{}

static void proxy_auth_use_cb(void *w, gpointer data)
{}

static void streaming_save_dirbrowser_cb(gchar * dir)
{}

static void streaming_save_browse_cb(void * w, gpointer data)
{}

static void streaming_save_use_cb(void * w, gpointer data)
{}

static void title_id3_use_cb(void * w, gpointer data)
{}

static void configure_destroy(void * w, gpointer data)
{}

void mpg123_configure(void)
{}
