
/*  Joystick plugin for xmms by Tim Ferguson (timf@dgs.monash.edu.au
 *                                  http://www.dgs.monash.edu.au/~timf/) ...
 *  XMMS is Copyright (C) 1998-2000  Peter Alm, Mikael Alm, Olle Hallnas, Thomas Nilsson and 4Front Technologies
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */
#include "xmms/i18n.h"
#include "joy.h"

#define num_menu_txt		14
static char *menu_txt[] =
{
	N_("Play/Pause"), N_("Stop"), N_("Next Track"), N_("Prev Track"),
	N_("Fwd 5 tracks"), N_("Back 5 tracks"), N_("Volume Up"),
	N_("Volume Down"), N_("Forward 5s"), N_("Rewind 5s"), N_("Shuffle"),
	N_("Repeat"), N_("Alternate"), N_("Nothing")
};

/* ---------------------------------------------------------------------- */
static void set_joy_config(void)
{}

/* ---------------------------------------------------------------------- */
static void joyconf_ok_cb(void * w, gpointer data)
{}

/* ---------------------------------------------------------------------- */
static void joyconf_cancel_cb(void * w, gpointer data)
{
}

/* ---------------------------------------------------------------------- */
static void joyconf_apply_cb(void * w, gpointer data)
{
	set_joy_config();
}

/* ---------------------------------------------------------------------- */
void joy_configure(void)
{
   joyapp_read_config();
}
